Skip to navigation

Update Connection

Set authentication information associated with a merchant’s account on the tax provider’s infrastructure:

  • HTTP Basic Authentication (developer.mozilla.org) credentials
  • (optional) Tax provider profile used in customized endpoint urls for tax provider calls. This is only available for tax providers that support this feature.

The configured username, password, and profile (if available) are used to authenticate each API request to the Tax Provider from the associated store. The tax provider’s profile will be included in the URL for Tax Provider API endpoints.

Note

  • This operation will be logged in Store Logs under Staff Actions.
  • Requires write permissions on the Information and Settings scope.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

provider_idstringRequired

The Tax Providerʼs provider_id provided by BigCommerce after the provider shares their provider details.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

Basic authentication information, associated with a merchant account on the third-party tax providerʼs infrastructure.

usernamestringOptional

Public identifying information representing a unique account on the tax provider’s infrastructure. Should not contain any personal identifying information (e.g. a personal email address).

passwordstringOptional
profilestringOptional
Optional field that allows merchants to customize Tax Provider API endpoint URLs. Only available for supporting providers.

Response

OK
dataobjectOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error